Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: Bricolage: devel

Issue setting BRICOLAGE_ROOT environment variable OR perhaps not...

 

 

Bricolage devel RSS feed   Index | Next | Previous | View Threaded


rotoole at gmail

Apr 23, 2012, 10:28 PM

Post #1 of 7 (1982 views)
Permalink
Issue setting BRICOLAGE_ROOT environment variable OR perhaps not...

Hi Bricaleurs,

I'm installing a clone of an older 1.10.2 version of bric onto some new
hardware. I'm able to get through all of the installation steps, but when I
try to start bric up I get the following error:

>>>>>>>>>>>>
sudo /usr/local/bricolage/bin/bric_apachectl start
String found where operator expected at
/usr/local/bricolage/lib/Bric/Config.pm line 367, near "Carp::croak "Cannot
open $conf_file: $!\n""
(Do you need to predeclare Carp::croak?)
String found where operator expected at
/usr/local/bricolage/lib/Bric/Config.pm line 459, near "Carp::croak
"Invalid SSL_ENABLE directive: '$ssl'""
(Do you need to predeclare Carp::croak?)
######################################################################

Cannot load Bricolage libraries. Please set the environment
variable BRICOLAGE_ROOT to the location of your Bricolage
installation or set the environment variable PERL5LIB to the
directory where Bricolage's libraries are installed.

The specific error encountered was as follows:

syntax error at /usr/local/bricolage/lib/Bric/Config.pm line 367, near
"Carp::croak "Cannot open $conf_file: $!\n""
syntax error at /usr/local/bricolage/lib/Bric/Config.pm line 459, near
"Carp::croak "Invalid SSL_ENABLE directive: '$ssl'""
BEGIN not safe after errors--compilation aborted at
/usr/local/bricolage/lib/Bric/Config.pm line 499.
Compilation failed in require at
/usr/local/bricolage/lib/Bric/Util/Fault.pm line 72.
BEGIN failed--compilation aborted at
/usr/local/bricolage/lib/Bric/Util/Fault.pm line 72.
Compilation failed in require at /usr/local/bricolage/lib/Bric.pm line 71.
BEGIN failed--compilation aborted at /usr/local/bricolage/lib/Bric.pm line
71.
Compilation failed in require at /usr/local/bricolage/bin/bric_apachectl
line 59.


######################################################################
BEGIN failed--compilation aborted at
/usr/local/bricolage/bin/bric_apachectl line 74.
<<<<<<<<<

Initially, I ignored everything above the ###'s, because I assumed the real
error was that I had not set the environment variable BRICOLAGE_ROOT. So I
did:

$ export BRICOLAGE_ROOT=/usr/local/bricolage

But re-running the start command produced the same errors. Tried setting
PERL5LIB; same error. Tried hard coding the path into the bric_apachectl
script; same error. I even tried installing Carp::croak via cpan; same
error.

I'm not really sure what to do at this point. Any advice would be greatly
appreciated.

best,
ryan


david at justatheory

Apr 24, 2012, 11:20 AM

Post #2 of 7 (1885 views)
Permalink
Re: Issue setting BRICOLAGE_ROOT environment variable OR perhaps not... [In reply to]

On Apr 23, 2012, at 10:28 PM, Ryan O'Toole wrote:

> sudo /usr/local/bricolage/bin/bric_apachectl start
> String found where operator expected at
> /usr/local/bricolage/lib/Bric/Config.pm line 367, near "Carp::croak "Cannot
> open $conf_file: $!\n""
> (Do you need to predeclare Carp::croak?)
> String found where operator expected at
> /usr/local/bricolage/lib/Bric/Config.pm line 459, near "Carp::croak
> "Invalid SSL_ENABLE directive: '$ssl'""
> (Do you need to predeclare Carp::croak?)

What is around lines 367 and 459 in /usr/local/bricolage/lib/Bric/Config.pm?

David


david at justatheory

Apr 24, 2012, 11:20 AM

Post #3 of 7 (1885 views)
Permalink
Re: Issue setting BRICOLAGE_ROOT environment variable OR perhaps not... [In reply to]

On Apr 23, 2012, at 10:28 PM, Ryan O'Toole wrote:

> sudo /usr/local/bricolage/bin/bric_apachectl start
> String found where operator expected at
> /usr/local/bricolage/lib/Bric/Config.pm line 367, near "Carp::croak "Cannot
> open $conf_file: $!\n""
> (Do you need to predeclare Carp::croak?)
> String found where operator expected at
> /usr/local/bricolage/lib/Bric/Config.pm line 459, near "Carp::croak
> "Invalid SSL_ENABLE directive: '$ssl'""
> (Do you need to predeclare Carp::croak?)

What is around lines 367 and 459 in /usr/local/bricolage/lib/Bric/Config.pm?

David


rotoole at gmail

Apr 27, 2012, 2:18 PM

Post #4 of 7 (1888 views)
Permalink
Re: Issue setting BRICOLAGE_ROOT environment variable OR perhaps not... [In reply to]

Looks like it's just trying to call a method in the Carp module:

364 if (-e $conf_file) {
365 unless (open CONF, $conf_file) {
366 require Carp;
367 Carp::croak "Cannot open $conf_file: $!\n";
368 }

457 } else {
458 require Carp;
459 Carp::croak "Invalid SSL_ENABLE directive: '$ssl'"
460 unless $ssl eq 'mod_ssl' or $ssl eq 'apache_ssl';
461 }


ryan


On Tue, Apr 24, 2012 at 11:20 AM, David E. Wheeler <david [at] justatheory>wrote:

> On Apr 23, 2012, at 10:28 PM, Ryan O'Toole wrote:
>
> > sudo /usr/local/bricolage/bin/bric_apachectl start
> > String found where operator expected at
> > /usr/local/bricolage/lib/Bric/Config.pm line 367, near "Carp::croak
> "Cannot
> > open $conf_file: $!\n""
> > (Do you need to predeclare Carp::croak?)
> > String found where operator expected at
> > /usr/local/bricolage/lib/Bric/Config.pm line 459, near "Carp::croak
> > "Invalid SSL_ENABLE directive: '$ssl'""
> > (Do you need to predeclare Carp::croak?)
>
> What is around lines 367 and 459 in
> /usr/local/bricolage/lib/Bric/Config.pm?
>
> David
>
>


rotoole at gmail

Apr 27, 2012, 2:18 PM

Post #5 of 7 (1875 views)
Permalink
Re: Issue setting BRICOLAGE_ROOT environment variable OR perhaps not... [In reply to]

Looks like it's just trying to call a method in the Carp module:

364 if (-e $conf_file) {
365 unless (open CONF, $conf_file) {
366 require Carp;
367 Carp::croak "Cannot open $conf_file: $!\n";
368 }

457 } else {
458 require Carp;
459 Carp::croak "Invalid SSL_ENABLE directive: '$ssl'"
460 unless $ssl eq 'mod_ssl' or $ssl eq 'apache_ssl';
461 }


ryan


On Tue, Apr 24, 2012 at 11:20 AM, David E. Wheeler <david [at] justatheory>wrote:

> On Apr 23, 2012, at 10:28 PM, Ryan O'Toole wrote:
>
> > sudo /usr/local/bricolage/bin/bric_apachectl start
> > String found where operator expected at
> > /usr/local/bricolage/lib/Bric/Config.pm line 367, near "Carp::croak
> "Cannot
> > open $conf_file: $!\n""
> > (Do you need to predeclare Carp::croak?)
> > String found where operator expected at
> > /usr/local/bricolage/lib/Bric/Config.pm line 459, near "Carp::croak
> > "Invalid SSL_ENABLE directive: '$ssl'""
> > (Do you need to predeclare Carp::croak?)
>
> What is around lines 367 and 459 in
> /usr/local/bricolage/lib/Bric/Config.pm?
>
> David
>
>


alex at gt

Apr 27, 2012, 2:31 PM

Post #6 of 7 (1882 views)
Permalink
Re: Issue setting BRICOLAGE_ROOT environment variable OR perhaps not... [In reply to]

> Looks like it's just trying to call a method in the Carp module:
>
> 364 if (-e $conf_file) {
> 365 unless (open CONF, $conf_file) {
> 366 require Carp;
> 367 Carp::croak "Cannot open $conf_file: $!\n";
> 368 }
>
> 457 } else {
> 458 require Carp;
> 459 Carp::croak "Invalid SSL_ENABLE directive: '$ssl'"
> 460 unless $ssl eq 'mod_ssl' or $ssl eq 'apache_ssl';
> 461 }

Either need to remove 'require Carp' and add a single:

use Carp;

at the beginning, or change:

Carp::croak "Invalid SSL_ENABLE directive: '$ssl'"

to:

Carp::croak("Invalid SSL_ENABLE directive: '$ssl'")

i.e. add the parenths. Looks like parenths were added in 2.0 somewhere
along the line.

Cheers,

Alex


rotoole at gmail

Apr 30, 2012, 11:19 AM

Post #7 of 7 (1881 views)
Permalink
Re: Issue setting BRICOLAGE_ROOT environment variable OR perhaps not... [In reply to]

I changed all of the "require Carp lines to "use Carp", that seems to have
fixed the issue.

Thanks for your help!

ryan


On Fri, Apr 27, 2012 at 2:31 PM, Alex Krohn <alex [at] gt> wrote:

> > Looks like it's just trying to call a method in the Carp module:
> >
> > 364 if (-e $conf_file) {
> > 365 unless (open CONF, $conf_file) {
> > 366 require Carp;
> > 367 Carp::croak "Cannot open $conf_file: $!\n";
> > 368 }
> >
> > 457 } else {
> > 458 require Carp;
> > 459 Carp::croak "Invalid SSL_ENABLE directive: '$ssl'"
> > 460 unless $ssl eq 'mod_ssl' or $ssl eq 'apache_ssl';
> > 461 }
>
> Either need to remove 'require Carp' and add a single:
>
> use Carp;
>
> at the beginning, or change:
>
> Carp::croak "Invalid SSL_ENABLE directive: '$ssl'"
>
> to:
>
> Carp::croak("Invalid SSL_ENABLE directive: '$ssl'")
>
> i.e. add the parenths. Looks like parenths were added in 2.0 somewhere
> along the line.
>
> Cheers,
>
> Alex
>

Bricolage devel RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.